@if (templateOk) {
  <div class="full-width" [attr.data-test-report-id]="'xls-report-ok'">
    <table class="full-width m-b-10" aria-label="XLS import result">
      <thead>
        <tr>
          <th scope="col"></th>
          <th scope="col">
            {{
              'sqtm-core.test-case-workspace.dialog.import.success-row'
                | translate
            }}
          </th>
          <th scope="col">
            {{
              'sqtm-core.test-case-workspace.dialog.import.warning-row'
                | translate
            }}
          </th>
          <th scope="col">
            {{
              'sqtm-core.test-case-workspace.dialog.import.failure-row'
                | translate
            }}
          </th>
        </tr>
      </thead>
      <tbody>
        <tr>
          <th scope="row">
            {{ 'sqtm-core.entity.requirement.label.plural' | translate }}
          </th>
          <td class="txt-success">
            {{ templateOk.requirementVersionSuccesses }}
          </td>
          <td class="txt-warn">{{ templateOk.requirementVersionWarnings }}</td>
          <td class="txt-error">{{ templateOk.requirementVersionFailures }}</td>
        </tr>
        <tr>
          <th scope="row">
            {{
              'sqtm-core.entity.test-case-coverage.associate.label' | translate
            }}
          </th>
          <td class="txt-success">{{ templateOk.coverageSuccesses }}</td>
          <td class="txt-warn">{{ templateOk.coverageWarnings }}</td>
          <td class="txt-error">{{ templateOk.coverageFailures }}</td>
        </tr>
        <tr>
          <th scope="row">
            {{
              'sqtm-core.entity.requirement-version-coverage.associate.label'
                | translate
            }}
          </th>
          <td class="txt-success">{{ templateOk.reqlinksSuccesses }}</td>
          <td class="txt-warn">{{ templateOk.reqlinksWarnings }}</td>
          <td class="txt-error">{{ templateOk.reqlinksFailures }}</td>
        </tr>
        <tr>
          <th scope="row">
            {{
              'sqtm-core.entity.requirement.linked-low-level.associate.label'
                | translate
            }}
          </th>
          <td class="txt-success">
            {{ templateOk.linkedLowLevelReqSuccesses }}
          </td>
          <td class="txt-warn">{{ templateOk.linkedLowLevelReqWarnings }}</td>
          <td class="txt-error">{{ templateOk.linkedLowLevelReqFailures }}</td>
        </tr>
      </tbody>
    </table>
    @if (templateOk) {
      <a
        [attr.data-test-report-id]="'xls-report-link'"
        [href]="getFileName(templateOk)"
        >{{
          'sqtm-core.requirement-workspace.dialog.import.download-report'
            | translate
        }}</a
      >
    }
  </div>
}

@if (templateKo) {
  <div class="full-width" [attr.data-test-report-id]="'xls-report-ko'">
    <p>
      {{
        'sqtm-core.test-case-workspace.dialog.import.error.format' | translate
      }}
    </p>
    <ul>
      @if (templateKo.missingMandatoryColumns?.length > 0) {
        <li>
          <span>{{
            'sqtm-core.requirement-workspace.dialog.import.error.mandatory-column.plural'
              | translate
          }}</span
          >{{ templateKo.missingMandatoryColumns }}
          .
        </li>
      }
      @if (templateKo.duplicateColumns?.length > 0) {
        <li>
          <span>{{
            'sqtm-core.requirement-workspace.dialog.import.error.duplicate-column'
              | translate
          }}</span>
          {{ templateKo.duplicateColumns }}
        </li>
      }
      @if (templateKo.actionValidationError) {
        <li>
          <span>{{
            'sqtm-core.error.generic.corrupted-file' | translate
          }}</span>
        </li>
      }
    </ul>
  </div>
}
